#ifndef Model_c
#define NN       16
#define Title     "Kette+Singletts1"
#define Sym       4   /* keine Symmetrien */
#define CM(JJ,tJ,tU) JJ	  /* Heisenberg-,  t-J- or  Hubbard-model */
#define NEW       3   /* Zahl zu berechnender Eigenwerte    >=NEV */
#define NEV       2   /* Zahl zu berechnender Eigenvektoren <=NEW */
#define MAX_H    0l   /* Groesse fuer OUTHMATRIX, 0=keine Ausgabe */

#define Nw (NN+NN/4)           /* faster than variable */
#define Ne NN
#endif
#if Model_c
  int site_move(int i,int dx,int dy,...){ 
    return -1;}

  int initvars(){
    int i,j; 
    io=1;nu=NN/2;nd=NN/2+NN%2;
    printf("J1-bounds:");
    for(i=0;i<NN/4;i++){iw[i][0]=4*i+2;iw[i][1]=(4*i+4)%NN;
      printf(" %i-%i",iw[i][0],iw[i][1]);}printf("\n");
    printf("J2-bounds:");
    for(i=0;i<NN;i++){iw[i+NN/4][0]=i;iw[i+NN/4][1]=(i+1)%4+(i/4)*4;
      printf(" %i-%i",iw[i+NN/4][0],iw[i+NN/4][1]);}printf("\n");
    for(i=0;i< Nw;i++)wj[i]=(i<NN/4)?1.0:0.4;
    for(i=0;i< Nw;i++)wt[i]= 0.0;
    for(i=0;i< NN;i++)wu[i]= 0.0;
    for(i=0;i< NN;i++)we[i]= 0.0;
    printf("%s\n",Title);
    return 0;}
#endif